{
  "type": "excalidraw",
  "version": 2,
  "source": "https://marketplace.visualstudio.com/items?itemName=pomdtr.excalidraw-editor",
  "elements": [
    {
      "id": "qks0kFfyC68OY6cMZd6P_",
      "type": "rectangle",
      "x": 432,
      "y": 128.99999999999994,
      "width": 598.5000000000001,
      "height": 314.50000000000006,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffffff",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aq",
      "roundness": {
        "type": 3
      },
      "seed": 1684020354,
      "version": 392,
      "versionNonce": 311577905,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "lt4HrBhjlnadLJxkbipCy",
          "type": "arrow"
        }
      ],
      "updated": 1756972060356,
      "link": null,
      "locked": false
    },
    {
      "id": "Y3tqkOGPwoDNYpZGYgVLa",
      "type": "rectangle",
      "x": 453,
      "y": 145.125,
      "width": 216.5,
      "height": 37.25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "az",
      "roundness": {
        "type": 3
      },
      "seed": 850175454,
      "version": 531,
      "versionNonce": 806703234,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "WojlgWROz7R4TQ92aLzS-",
          "type": "arrow"
        },
        {
          "id": "CcLYgRdqiPMRm53uXlGEe",
          "type": "arrow"
        }
      ],
      "updated": 1756971712324,
      "link": null,
      "locked": false
    },
    {
      "id": "FhNS-O1GijMBdVynOjCaD",
      "type": "rectangle",
      "x": 793,
      "y": 147.125,
      "width": 216.5,
      "height": 37.25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b02",
      "roundness": {
        "type": 3
      },
      "seed": 50557086,
      "version": 760,
      "versionNonce": 1192062001,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "CcLYgRdqiPMRm53uXlGEe",
          "type": "arrow"
        },
        {
          "id": "MsALcikZJRpuD_FzPE0Ec",
          "type": "arrow"
        },
        {
          "id": "FTyJ5gZy1dwVkj-dHctLF",
          "type": "arrow"
        }
      ],
      "updated": 1756971987940,
      "link": null,
      "locked": false
    },
    {
      "id": "svCHgKAR1hgOhcQ2JVqnF",
      "type": "rectangle",
      "x": 371,
      "y": 476.5,
      "width": 322.5,
      "height": 60.5,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#99e9f2",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b03",
      "roundness": {
        "type": 3
      },
      "seed": 1839106910,
      "version": 179,
      "versionNonce": 1835836223,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "XjbZ2XJCBia1DnIGRU6cC"
        },
        {
          "id": "WojlgWROz7R4TQ92aLzS-",
          "type": "arrow"
        },
        {
          "id": "3PWmJix_8Q6bO8UqWsgzv",
          "type": "arrow"
        }
      ],
      "updated": 1756971957816,
      "link": null,
      "locked": false
    },
    {
      "id": "XjbZ2XJCBia1DnIGRU6cC",
      "type": "text",
      "x": 449.75011444091797,
      "y": 494.25,
      "width": 164.99977111816406,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b03V",
      "roundness": null,
      "seed": 1919489154,
      "version": 39,
      "versionNonce": 2100433602,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1756971428921,
      "link": null,
      "locked": false,
      "text": "Sono molto alto",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "svCHgKAR1hgOhcQ2JVqnF",
      "originalText": "Sono molto alto",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "dNW_G75JMy2DV1tXZouKq",
      "type": "rectangle",
      "x": 778,
      "y": 30.125,
      "width": 322.5,
      "height": 60.5,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b04",
      "roundness": {
        "type": 3
      },
      "seed": 80631554,
      "version": 282,
      "versionNonce": 630235743,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "v4Yzc4KJZezs6eZdUx5ud"
        },
        {
          "id": "MsALcikZJRpuD_FzPE0Ec",
          "type": "arrow"
        }
      ],
      "updated": 1756972086244,
      "link": null,
      "locked": false
    },
    {
      "id": "v4Yzc4KJZezs6eZdUx5ud",
      "type": "text",
      "x": 867.7500991821289,
      "y": 47.875,
      "width": 142.9998016357422,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b05",
      "roundness": null,
      "seed": 63648258,
      "version": 36,
      "versionNonce": 959118975,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1756972086244,
      "link": null,
      "locked": false,
      "text": "I'm very tall",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "dNW_G75JMy2DV1tXZouKq",
      "originalText": "I'm very tall",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "WojlgWROz7R4TQ92aLzS-",
      "type": "arrow",
      "x": 560.6729092706995,
      "y": 388.3125,
      "width": 0,
      "height": 205.0903822278525,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b06",
      "roundness": {
        "type": 2
      },
      "seed": 503111106,
      "version": 366,
      "versionNonce": 1116642929,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1756971948357,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -205.0903822278525
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "XJ45iAj9hZYYHBBzyfbWx",
        "focus": 0,
        "gap": 8.4375
      },
      "endBinding": {
        "elementId": "Y3tqkOGPwoDNYpZGYgVLa",
        "focus": 0.005331092187533408,
        "gap": 1
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "3WKvAEkmIviNstZ7kyy2b",
      "type": "rectangle",
      "x": 449.5,
      "y": 387.25,
      "width": 216.5,
      "height": 35,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b07",
      "roundness": {
        "type": 3
      },
      "seed": 1179987230,
      "version": 368,
      "versionNonce": 2132680575,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "_WIy_VWxm2zUNEW9Z1h-T"
        },
        {
          "id": "3PWmJix_8Q6bO8UqWsgzv",
          "type": "arrow"
        }
      ],
      "updated": 1756971957817,
      "link": null,
      "locked": false
    },
    {
      "id": "_WIy_VWxm2zUNEW9Z1h-T",
      "type": "text",
      "x": 519.2500534057617,
      "y": 392.25,
      "width": 76.99989318847656,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b08",
      "roundness": null,
      "seed": 680505282,
      "version": 22,
      "versionNonce": 1406241566,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1756971468891,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "3WKvAEkmIviNstZ7kyy2b",
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "XJ45iAj9hZYYHBBzyfbWx",
      "type": "rectangle",
      "x": 449.5,
      "y": 342.625,
      "width": 216.5,
      "height": 37.25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b09",
      "roundness": {
        "type": 3
      },
      "seed": 1135466846,
      "version": 387,
      "versionNonce": 1432033489,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "WojlgWROz7R4TQ92aLzS-",
          "type": "arrow"
        }
      ],
      "updated": 1756971947784,
      "link": null,
      "locked": false
    },
    {
      "id": "B1_Gl5jIVNIVEm4cqQjEO",
      "type": "rectangle",
      "x": 449.5,
      "y": 298,
      "width": 216.5,
      "height": 37.25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0A",
      "roundness": {
        "type": 3
      },
      "seed": 564592030,
      "version": 419,
      "versionNonce": 1575909214,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "WojlgWROz7R4TQ92aLzS-",
          "type": "arrow"
        }
      ],
      "updated": 1756971468891,
      "link": null,
      "locked": false
    },
    {
      "id": "M0Sabot8-Z9iGzHo1b0Hp",
      "type": "rectangle",
      "x": 453,
      "y": 253.375,
      "width": 216.5,
      "height": 37.25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0B",
      "roundness": {
        "type": 3
      },
      "seed": 469493086,
      "version": 406,
      "versionNonce": 400405890,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1756971468891,
      "link": null,
      "locked": false
    },
    {
      "id": "TWt9CwZmm4N_Bb-2IZ6vx",
      "type": "rectangle",
      "x": 453,
      "y": 208.75,
      "width": 216.5,
      "height": 37.25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0C",
      "roundness": {
        "type": 3
      },
      "seed": 1548978590,
      "version": 428,
      "versionNonce": 639884190,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1756971468891,
      "link": null,
      "locked": false
    },
    {
      "id": "CcLYgRdqiPMRm53uXlGEe",
      "type": "arrow",
      "x": 670.4842460920306,
      "y": 163.56982573606547,
      "width": 119.0823985958674,
      "height": 3.5698257360654395,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0E",
      "roundness": {
        "type": 2
      },
      "seed": 411246466,
      "version": 90,
      "versionNonce": 136988610,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1756971712325,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          119.0823985958674,
          -3.5698257360654395
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "Y3tqkOGPwoDNYpZGYgVLa",
        "focus": -0.2013422818791942,
        "gap": 1
      },
      "endBinding": {
        "elementId": "FhNS-O1GijMBdVynOjCaD",
        "focus": 0.30872483221476527,
        "gap": 3.5
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "lt4HrBhjlnadLJxkbipCy",
      "type": "arrow",
      "x": 699.5,
      "y": 160.5,
      "width": 89.9466241174614,
      "height": 244.60112529417955,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0I",
      "roundness": {
        "type": 2
      },
      "seed": 1821635330,
      "version": 296,
      "versionNonce": 766953886,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1756971652850,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          220.5
        ],
        [
          89.9466241174614,
          244.60112529417955
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "qks0kFfyC68OY6cMZd6P_",
        "focus": 0,
        "gap": 31.500000000000057
      },
      "endBinding": {
        "elementId": "pe1XqPJqxlQiirlcP1WBT",
        "focus": -0.5930218526287061,
        "gap": 1
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "BEYZYL1aLCLJxYwuzEbje",
      "type": "arrow",
      "x": 693.5,
      "y": 363.5,
      "width": 88.20191330397734,
      "height": 0,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0J",
      "roundness": null,
      "seed": 1127104625,
      "version": 280,
      "versionNonce": 918175551,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1756971885498,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          45.5,
          0
        ],
        [
          88.20191330397734,
          0
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "r5lpc_O1Itbdt60WZylIP",
        "focus": -0.12080536912751713,
        "gap": 8
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "PGF7Gn3DM_BBqX7B0Io_W",
      "type": "arrow",
      "x": 693.5,
      "y": 316.5,
      "width": 88.20191330397734,
      "height": 0,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0K",
      "roundness": null,
      "seed": 167605745,
      "version": 356,
      "versionNonce": 926014879,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1756971898461,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          45.5,
          0
        ],
        [
          88.20191330397734,
          0
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "WLrR3J1Bd9ankMnwNwLEf",
      "type": "arrow",
      "x": 693.5,
      "y": 272,
      "width": 88.20191330397734,
      "height": 0,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0L",
      "roundness": null,
      "seed": 725429567,
      "version": 381,
      "versionNonce": 342264369,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1756971912107,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          45.5,
          0
        ],
        [
          88.20191330397734,
          0
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "IRBUK1mWePuv6ADRZvWj5",
      "type": "arrow",
      "x": 696,
      "y": 228,
      "width": 88.20191330397734,
      "height": 0,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0M",
      "roundness": null,
      "seed": 296450590,
      "version": 459,
      "versionNonce": 2986783,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1756971917092,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          45.5,
          0
        ],
        [
          88.20191330397734,
          0
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "3PWmJix_8Q6bO8UqWsgzv",
      "type": "arrow",
      "x": 558.75,
      "y": 471.8125,
      "width": 0,
      "height": 49,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0N",
      "roundness": {
        "type": 2
      },
      "seed": 934707519,
      "version": 44,
      "versionNonce": 1496434015,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1756971964826,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -49
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "svCHgKAR1hgOhcQ2JVqnF",
        "focus": 0.16434108527131783,
        "gap": 4.6875
      },
      "endBinding": {
        "elementId": "3WKvAEkmIviNstZ7kyy2b",
        "focus": -0.009237875288683634,
        "gap": 1
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "MsALcikZJRpuD_FzPE0Ec",
      "type": "arrow",
      "x": 899.2500000000002,
      "y": 146.4858737337955,
      "width": 1.1368683772161603e-13,
      "height": 55.610715303298534,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0O",
      "roundness": {
        "type": 2
      },
      "seed": 1380342257,
      "version": 74,
      "versionNonce": 2103760543,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1756972086244,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -1.1368683772161603e-13,
          -55.610715303298534
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "FhNS-O1GijMBdVynOjCaD",
        "focus": -0.01847575057736726,
        "gap": 3.3125
      },
      "endBinding": {
        "elementId": "dNW_G75JMy2DV1tXZouKq",
        "focus": 0.2480620155038739,
        "gap": 1.3125
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "FTyJ5gZy1dwVkj-dHctLF",
      "type": "arrow",
      "x": 900.75,
      "y": 389.8125,
      "width": 0,
      "height": 207,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0V",
      "roundness": {
        "type": 2
      },
      "seed": 1481141809,
      "version": 56,
      "versionNonce": 806864881,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1756972007338,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -207
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "r5lpc_O1Itbdt60WZylIP",
        "focus": 0,
        "gap": 9.9375
      },
      "endBinding": {
        "elementId": "FhNS-O1GijMBdVynOjCaD",
        "focus": 0.004618937644341804,
        "gap": 1.5625
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "pe1XqPJqxlQiirlcP1WBT",
      "type": "rectangle",
      "x": 789.5,
      "y": 387.25,
      "width": 216.5,
      "height": 37.25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0W",
      "roundness": {
        "type": 3
      },
      "seed": 1701943774,
      "version": 639,
      "versionNonce": 2062601201,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "x5N2jQsZ9-BwKSn2CoHVI"
        },
        {
          "id": "lt4HrBhjlnadLJxkbipCy",
          "type": "arrow"
        }
      ],
      "updated": 1756972002259,
      "link": null,
      "locked": false
    },
    {
      "id": "x5N2jQsZ9-BwKSn2CoHVI",
      "type": "text",
      "x": 859.2500534057617,
      "y": 393.375,
      "width": 76.99989318847656,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0X",
      "roundness": null,
      "seed": 408652830,
      "version": 13,
      "versionNonce": 38201247,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1756972002259,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "pe1XqPJqxlQiirlcP1WBT",
      "originalText": "Decoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "r5lpc_O1Itbdt60WZylIP",
      "type": "rectangle",
      "x": 789.5,
      "y": 342.625,
      "width": 216.5,
      "height": 37.25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0Y",
      "roundness": {
        "type": 3
      },
      "seed": 1176415774,
      "version": 660,
      "versionNonce": 1471423953,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "FTyJ5gZy1dwVkj-dHctLF",
          "type": "arrow"
        }
      ],
      "updated": 1756972002259,
      "link": null,
      "locked": false
    },
    {
      "id": "UtH80dFh6PeThMxTglJ_0",
      "type": "rectangle",
      "x": 789.5,
      "y": 298,
      "width": 216.5,
      "height": 37.25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0Z",
      "roundness": {
        "type": 3
      },
      "seed": 1889483358,
      "version": 687,
      "versionNonce": 1231461311,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1756972002259,
      "link": null,
      "locked": false
    },
    {
      "id": "c157ucNOlGnUEDjkdsRSF",
      "type": "rectangle",
      "x": 793,
      "y": 253.375,
      "width": 216.5,
      "height": 37.25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0a",
      "roundness": {
        "type": 3
      },
      "seed": 180584606,
      "version": 675,
      "versionNonce": 1521566641,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1756972002259,
      "link": null,
      "locked": false
    },
    {
      "id": "ZbRQkR2qOkbpqKUcauAuX",
      "type": "rectangle",
      "x": 793,
      "y": 208.75,
      "width": 216.5,
      "height": 37.25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0b",
      "roundness": {
        "type": 3
      },
      "seed": 1034683102,
      "version": 697,
      "versionNonce": 1455082463,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1756972002259,
      "link": null,
      "locked": false
    },
    {
      "id": "iSjQVuu5ywdRyBWZjnc7w",
      "type": "text",
      "x": 629.75,
      "y": 509.3125,
      "width": 52.80010986328125,
      "height": 20,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0c",
      "roundness": null,
      "seed": 1823510495,
      "version": 66,
      "versionNonce": 1359014943,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1756972029220,
      "link": null,
      "locked": false,
      "text": "[0, N]",
      "fontSize": 16,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "[0, N]",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "Hy2r5uN9__WKZsY91p6ZL",
      "type": "text",
      "x": 1036.25,
      "y": 66.3125,
      "width": 52.80010986328125,
      "height": 20,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0d",
      "roundness": null,
      "seed": 1025198353,
      "version": 102,
      "versionNonce": 787272529,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1756972090192,
      "link": null,
      "locked": false,
      "text": "[0, M]",
      "fontSize": 16,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "[0, M]",
      "autoResize": true,
      "lineHeight": 1.25
    }
  ],
  "appState": {
    "gridSize": 20,
    "gridStep": 5,
    "gridModeEnabled": false,
    "viewBackgroundColor": "#ffffff"
  },
  "files": {}
}